io.vertx.ext.stomp

## Enum Frame.Command

- java.lang.Object
- - java.lang.Enum<Frame.Command>
  - - io.vertx.ext.stomp.Frame.Command

- All Implemented Interfaces:
    Serializable, Comparable<Frame.Command>
  Enclosing class:
    Frame

      public static enum Frame.Command
      extends Enum<Frame.Command>

  The list of command defined by the STOMP specification. It also contains a `PING` command used for heartbeat. It should not be used in frames (as it's not a valid command).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORT`
    `ACK`
    `BEGIN`
    `COMMIT`
    `CONNECT`
    `CONNECTED`
    `DISCONNECT`
    `ERROR`
    `MESSAGE`
    `NACK`
    `PING`
    `RECEIPT`
    `SEND`
    `STOMP`
    `SUBSCRIBE`
    `UNKNOWN`
    `UNSUBSCRIBE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Frame.Command` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Frame.Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECT

          public static final Frame.Command CONNECT

    - #### CONNECTED

          public static final Frame.Command CONNECTED

    - #### STOMP

          public static final Frame.Command STOMP

    - #### SEND

          public static final Frame.Command SEND

    - #### SUBSCRIBE

          public static final Frame.Command SUBSCRIBE

    - #### UNSUBSCRIBE

          public static final Frame.Command UNSUBSCRIBE

    - #### ACK

          public static final Frame.Command ACK

    - #### NACK

          public static final Frame.Command NACK

    - #### BEGIN

          public static final Frame.Command BEGIN

    - #### COMMIT

          public static final Frame.Command COMMIT

    - #### ABORT

          public static final Frame.Command ABORT

    - #### DISCONNECT

          public static final Frame.Command DISCONNECT

    - #### MESSAGE

          public static final Frame.Command MESSAGE

    - #### RECEIPT

          public static final Frame.Command RECEIPT

    - #### ERROR

          public static final Frame.Command ERROR

    - #### PING

          public static final Frame.Command PING

    - #### UNKNOWN

          public static final Frame.Command UNKNOWN

  - ### Method Detail

    - #### values

          public static Frame.Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Frame.Command c : Frame.Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Frame.Command valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Eclipse. All rights reserved.